SystemOrganization addCategory: #'GT-InspectorExtensions-CoreRoassal'!

!RTShapeBuilderExample class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/7/2015 21:31'!
gtExamplesSource
	^ RTShapeBuilder! !

!RTGrapherExample class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/6/2015 20:36'!
gtExamplesSource
	^ RTGrapher! !

!GLMSystemWindow methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'TudorGirba 12/18/2013 05:26'!
gtInspectorOpenTreeIn: composite
	<gtInspectorPresentationOrder: 30>  
	^ (self model 
		gtInspectorOpenTreeIn: composite)
		title: 'Browser tree'! !

!MetacelloVersion methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'TudorGirba 5/15/2015 10:32'!
gtInspectorProjectMapIn: composite
	<gtInspectorPresentationOrder: 40>
	composite roassal2
		title: 'Project map';
		initializeView: [ RTMondrian new ];
		painting: [ :view |
			view shape label text: [:each | each asString copyReplaceAll: 'ConfigurationOf' with: ''].
			view nodes: self allProjects.
			view edges
				 connectFrom: #yourself  toAll: [:each | each projects collect: #version].
			view layout horizontalDominanceTree layered ]! !

!RTMenuBuilder class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/7/2015 21:24'!
gtExamplesProvider
	^ RTMenuBuilderExamples new! !

!RTObject class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/6/2015 20:52'!
gtExamplesFinder
	^ RTExampleFinder new
		source: self gtExamplesSource;
		provider: self gtExamplesProvider;
		subjects: self gtExamplesSubjects;
		yourself! !

!RTMenuBuilderExamples class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/7/2015 21:13'!
gtExamplesSource
	^ RTMenuBuilder! !

!RTGradientColoredLineExample class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/6/2015 20:36'!
gtExamplesSource
	^ RTGradientColoredLine! !

!RTSVGPath class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/6/2015 20:11'!
gtExamplesProvider

	^ RTSVGExample new! !

!RTPieExample class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/6/2015 20:34'!
gtExamplesSource
	^ RTPieBuilder! !

!RTGrapher class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/6/2015 20:13'!
gtExamplesProvider

	^ RTGrapherExample new! !

!MessageTally methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'TudorGirba 10/27/2014 00:26'!
gtInspectorMessageTreeIn: composite
	<gtInspectorPresentationOrder: 40>
	| methods normalizer |
	methods := self withDeepCollect: #children.
	normalizer := RTNColorLinearNormalizer 
						inContext: methods 
						withCommand: #tally 
						lowColor: Color gray 
						highColor: Color red.
	^ (composite tree)
		title: 'Tree';
		children: [ :each | each children ];
		"rootsExpanded;"
		format: [ :each | 
			Text 
				string: each gtDisplayString
				attributes: { TextColor color: (normalizer rtValue: each)}];
		when: [ self children notEmpty ];
		filterOn: [ :text :each | each gtDisplayString includesSubstring: text caseSensitive: false ];
		morphicSelectionAct: [ :list | list selection method browse ]
			icon: GLMUIThemeExtraIcons glamorousBrowse
			on: $b
			entitled: 'Browse (b)'
		! !

!MessageTally methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'TudorGirba 10/4/2014 07:19'!
gtInspectorPerformanceChartIn: composite
	<gtInspectorPresentationOrder: 40>
	| metric |
	metric := #localTally.
	^ composite roassal2
		title: 'Top tallies';
		initializeView: [ RTDoubleBarBuilder new ];
		painting: [ :builder :presentation |
			GTInspectorMessageTallyCharter new 
				performanceOf: self 
				with: builder
				in: presentation ];
		when: [ self children notEmpty ]! !

!RTLayoutExample class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/6/2015 20:35'!
gtExamplesSource
	^ RTLayout! !

!RTScrollBarBuilder class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/7/2015 21:25'!
gtExamplesProvider
	^ RTScrollBarBuilderExamples new! !

!RTExploraBuilder class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/6/2015 20:13'!
gtExamplesProvider

	^ RTExploraBuilderExample new! !

!RTScrollBarBuilderExamples class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/7/2015 21:12'!
gtExamplesSource
	^ RTScrollBarBuilder! !

!RTMapBuilder class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/6/2015 20:13'!
gtExamplesProvider

	^ RTMapExample new! !

!RTComposerExample class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/6/2015 20:37'!
gtExamplesSource
	^ RTComposer! !

!RTAxisAdaptedBuilder class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/6/2015 20:14'!
gtExamplesProvider

	^ RTAxisAdaptedBuilderExample new! !

!RTSVGExporter class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/7/2015 21:25'!
gtExamplesProvider
	^ RTSVGExporterExample new! !

!RTOSM class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/7/2015 21:25'!
gtExamplesProvider
	^ RTOpenStreeMapExample new! !

!RTSBFadeInteraction class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/7/2015 21:25'!
gtExamplesProvider
	^ RTSBFadeInteractionExamples new! !

!RTDepMatrix class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/7/2015 21:24'!
gtExamplesProvider
	^ RTDepMatrixExample new! !

!CPQualitative class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/6/2015 17:14'!
gtExampleColorPalette
	<gtExample>
	<label: 'Colors: qualititive scheme'>
	
	^ self new! !

!CPQualitative methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'TudorGirba 4/25/2014 15:16'!
gtInspectorPreviewIn: composite
	<gtInspectorPresentationOrder: 40>
	composite roassal2
		title: 'View';
		painting: [ :view | self viewOn: view ]! !

!RTTextBuilderExamples class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/7/2015 21:09'!
gtExamplesSource
	^ RTTextBuilder! !

!RTBuilder class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/6/2015 17:25'!
gtExampleBuilder
	<gtExample>
	<label: 'Example builder'>
	
	^ self new! !

!RTBuilder methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'TudorGirba 10/5/2014 12:16'!
gtInspectorViewIn: composite
	<gtInspectorPresentationOrder: -10>
	composite roassal2
		title: 'View';
		initializeView: [ self ]! !

!RTStackBarPlotExample class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/6/2015 20:34'!
gtExamplesSource
	^ RTStackBarPlot! !

!RTOpenStreeMapExample class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/6/2015 20:34'!
gtExamplesSource
	^ RTOSM! !

!RTScrollPadBuilderExamples class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/7/2015 21:12'!
gtExamplesSource
	^ RTScrollPadBuilder! !

!RTScrollPadBuilder class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/7/2015 21:26'!
gtExamplesProvider
	^ RTScrollPadBuilderExamples new! !

!RTDepMatrixExample class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/7/2015 21:05'!
gtExamplesSource
	^ RTDepMatrix! !

!RTCompositeShape class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/6/2015 20:13'!
gtExamplesProvider

	^ RTComposedShapeExample new! !

!RTStackBarPlot class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/6/2015 20:13'!
gtExamplesProvider
	
	^ RTStackBarPlotExample new! !

!RTPieBuilder class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/6/2015 20:13'!
gtExamplesProvider

	^ RTPieExample new! !

!RTTreeMapExample class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/6/2015 20:33'!
gtExamplesSource
	^ RTTreeMapBuilder! !

!RTView class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/6/2015 17:26'!
gtExampleEmptyView
	<gtExample>
	<label: 'Empty view'>
	
	^ self new! !

!RTView class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'AlexandreBergel 9/28/2015 08:55'!
gtExamplesProvider

	^ RTRoassalExample new! !

!RTView methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'TudorGirba 11/1/2014 23:12'!
gtInspectorElementsHierarchyIn: composite
	<gtInspectorPresentationOrder: 20>
	composite table 
		title: 'Elements';
		showOnly: 50;
		display: [ :each | each elements ];
		children: #nestedElements;
		column: 'Model' evaluated: [ :each | each model asString ];
		column: 'Shape' evaluated: [ :each | each shape asString ]! !

!RTView methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'AlexandreBergel 3/31/2014 14:24'!
gtInspectorViewIn: composite
	<gtInspectorPresentationOrder: -10>
	composite roassal2
		title: 'View';
		initializeView: [ self ]
		! !

!RTBoxPlotExample class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/6/2015 20:38'!
gtExamplesSource
	^ RTBoxPlotDataSet! !

!FileReference methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'TudorGirba 3/10/2015 10:30'!
gtInspectorGroupedFilesIn: composite
	<gtInspectorPresentationOrder: 40>
	^ composite roassal2
		title: 'Grouped files';
		initializeView: [ RTDoubleBarBuilder new ];
		painting: [ :builder :presentation |
			| metric all grouped |
			metric := #size.
			all := self allFiles.
			grouped := (all groupedBy: [ :each | each extension ]) 
								associations sorted: [:a :b | 
											(a value sumNumbers: metric) > 
											(b value sumNumbers: metric) ].
			grouped := (grouped first: (20 min: grouped size)) select: [:each | 
					(each value sumNumbers: metric) > 0].
			builder pointName: [ :each | each key ].
			builder points: grouped.
			builder bottomValue: [ :each | each value size ] titled: 'Number of files'.
			builder 
				topValue: [ :each | (each value sumNumbers: metric) / 1000000 ] 
				titled: 'Total size in MB'];
		send: #value;
		when: [self isDirectory and: [self hasChildren]]! !

!RTSVGExample class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/6/2015 20:44'!
gtExamplesSource
	^ RTSVGPath! !

!RTMondrianViewBuilder class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'TudorGirba 11/30/2014 18:01'!
gtInspectorMondrianExamplesIn: composite
	<gtInspectorPresentationOrder: 0>
	^ RTMondrianExample new gtInspectorPreviewIn: composite! !

!GTInspector class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'TudorGirba 9/4/2015 23:14'!
gtInspectorExtensionsMapIn: composite
	<gtInspectorPresentationOrder: 50>
	composite roassal2
		title: 'GT extensions map';
		initializeView: [ RTCircularTreeMapBuilder new ];
		painting: [ :b |
			b
				color: [ : each | 
					each isClassOrTrait 
						ifTrue: [ 
							((Pragma allNamed: #gtInspectorPresentationOrder: in: each) isEmpty 
								and: [ (Pragma allNamed: #spotterOrder: in: each) isEmpty ]) 
								ifTrue: [ Color lightGray alpha: 0.5 ]
								ifFalse: [ Color red ] ] 
						ifFalse: [ Color transparent ]];
				borderColor: Color gray; 
				baseradius: 500;
				leafWeight: [ :each | each methods size ].
			b 
				from: RPackageOrganizer default packages
				nesting: [ :each | 
					(each isKindOf: RPackage)
						ifTrue: [ each classTags ]
						ifFalse: [ {  } ] ]
				leaves: [ :each |
					(each isKindOf: RPackage)
						ifTrue: [ { } ]
						ifFalse: [ each classes ] ].
			b build view canvas camera focusOnCenterScaled.
			b ]! !

GTExample subclass: #RTExampleSelection
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-InspectorExtensions-CoreRoassal'!

!RTExampleSelection class methodsFor: 'examples' stamp: 'StefanReichhart 9/6/2015 17:25'!
gtExampleAtRandom
	<gtExample>
	<label: 'Random example'>
	
	^ RTAbstractExample subclasses atRandom new gtExamples atRandom! !

!RTExampleSelection class methodsFor: 'examples' stamp: 'StefanReichhart 9/8/2015 20:56'!
gtExampleFlags1
	<gtExample>
	<label: 'Example flags 1'>
	
	^ RTComposedShapeExample gtExamples
		detect: [ :example | example method selector = #exampleFlags ]
		ifNone: [ nil ]! !

!RTExampleSelection class methodsFor: 'examples' stamp: 'StefanReichhart 9/8/2015 23:40'!
gtExampleFlags2
	<gtExample>
	<label: 'Example flags 2'>
	
	^ (RTComposedShapeExample >> #exampleFlags) gtExamples first! !

!RTExampleSelection class methodsFor: 'examples' stamp: 'StefanReichhart 9/8/2015 23:40'!
gtExampleFlags3
	<gtExample>
	<label: 'Example flags 3'>
	
	^ (RTComposedShapeExample >> #exampleFlags) gtExample! !

!RTExampleSelection methodsFor: 'ui' stamp: 'StefanReichhart 9/9/2015 22:16'!
gtDisplayPlaygroundIn: composite
	<gtInspectorPresentationOrder: 0>
	^ composite smalltalkCode
		beForScripting;
		title: 'Playground';
		format: [ 
			| sourceCode firstLine sourceCodeWithoutFirstLine |
			sourceCode := self method sourceCode.
			firstLine := sourceCode lines first.
			sourceCodeWithoutFirstLine := sourceCode copyFrom: firstLine size + 1 to: sourceCode size.
			sourceCodeWithoutFirstLine ];
		act: [ :text :page |
				text selectionInterval: (1 to: text text size).
				text evaluateSelectionAndDo: [ :anObject | text selection: anObject ] ]
			icon: GLMUIThemeExtraIcons glamorousGo
			on: $g
			entitled: 'Do it all and go (g)'
		! !

!RTExampleSelection methodsFor: 'ui' stamp: 'StefanReichhart 9/8/2015 21:37'!
gtInspectorRoassalViewIn: composite
	<gtInspectorPresentationOrder: -10>
	composite roassal2
		title: 'Canvas';
		initializeView: [ self returnValue ]
		! !

!RTExampleSelection methodsFor: 'ui' stamp: 'StefanReichhart 9/9/2015 20:13'!
gtInspectorViewIn: composite
	self deprecated: 'Please use #gtInspectorRoassalViewIn: instead'.
	^ self gtInspectorRoassalViewIn: composite! !

!RTExampleSelection methodsFor: 'accessing' stamp: 'StefanReichhart 9/8/2015 20:49'!
icon
	form ifNil: [ self initializeIcon ].
	^ form! !

!RTExampleSelection methodsFor: 'public' stamp: 'StefanReichhart 9/9/2015 19:04'!
iconForm
	self deprecated: 'Please use #icon'.
	^ self icon! !

!RTExampleSelection methodsFor: 'public' stamp: 'AndreiChis 10/4/2015 20:55'!
initializeIcon
	|icon64Mime|
	(self provider class canPerform: (self method selector, 'Icon') asSymbol)
		ifFalse: [ form := Form extent: 16@16. ^ self ].
	
	icon64Mime := self provider perform: (self method selector, 'Icon') asSymbol.
	form := TRPlatform current formClass fromBinaryStream: 
		(TRPlatform current mimeDecodeToBytes: icon64Mime readStream) ! !

!RTSpectrograph class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/6/2015 20:12'!
gtExamplesProvider
	
	^ RTSpectrographExample new! !

!TRCanvas class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/6/2015 17:27'!
gtExampleEmpty
	<gtExample>
	<label: 'Empty canvas'>
	
	^ TRCanvas new! !

!TRCanvas methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'AlexandreBergel 9/8/2014 11:41'!
gtInspectorViewIn: composite
	<gtInspectorPresentationOrder: -10>
	composite roassal2
		title: 'Canvas';
		initializeView: [ RTView new setCanvas: self ]
		! !

!RTAnimatedScatterPlot class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/6/2015 20:14'!
gtExamplesProvider

	^ RTAnimatedScatterPlotExample new! !

!RTShapeBuilder class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/7/2015 21:27'!
gtExamplesProvider
	^ RTShapeBuilderExample new! !

!RTMondrianExample class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/6/2015 20:13'!
gtExamplesProvider

	^ RTMondrianExample new! !

!RTMondrianExample class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/6/2015 20:45'!
gtExamplesSource
	^ RTMondrianExample! !

!RTTextBuilder class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/7/2015 21:26'!
gtExamplesProvider
	^ RTTextBuilderExamples new! !

!RTSVGExporterExample class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/7/2015 20:47'!
gtExamplesSource
	^ RTSVGExporter! !

!RTKiviatBuilderExample class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/6/2015 20:36'!
gtExamplesSource
	^ RTKiviatBuilder! !

!RTLayout class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/6/2015 20:13'!
gtExamplesProvider

	^ RTLayoutExample new! !

!RTSunburstBuilder class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/6/2015 20:13'!
gtExamplesProvider
	
	^ RTSunburstBuilderExamples new! !

!RTAnimatedScatterPlotExample class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/6/2015 20:38'!
gtExamplesSource
	^ RTAnimatedScatterPlot! !

!RTKiviatBuilder class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/6/2015 20:13'!
gtExamplesProvider

	^ RTKiviatBuilderExample new! !

!GLMCompositePresentation methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'TudorGirba 10/24/2014 06:52'!
gtInspectorOpenTreeIn: composite
	<gtInspectorPresentationOrder: 30>  
	^ composite roassal2
		title: 'Tree';
		painting: [:view :b | 
			self viewTreeOn: view ]! !

GLMCompositePresentation subclass: #GTInspectorMessageTallyCharter
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-InspectorExtensions-CoreRoassal'!

!GTInspectorMessageTallyCharter commentStamp: 'TudorGirba 1/18/2014 14:28' prior: 0!
Helper class for displaying charts specific for a MessageTally.!

!GTInspectorMessageTallyCharter methodsFor: 'visualization' stamp: 'TudorGirba 10/26/2014 21:01'!
performanceOf: aMessageTally with: builder in: presentation
	"Displays a double chart showing the top 20 most costly methods within a MessageTally.
	For each method it sows the number of occurences of a method and the 
	total amount of local tallies for that method. Useful for identifying outliers 
	within one execution."
	
	| all grouped metric |
	metric := #localTally.
	all := aMessageTally deepCollect: [ :each | each sonsOver: 1 ].
	grouped := (all groupedBy: [ :each | String streamContents: [:s | each gtDisplayIdentifierOn: s] ]) 
						associations sorted: [:a :b | 
									(a value sumNumbers: metric) > 
									(b value sumNumbers: metric) ].
	grouped := (grouped first: (20 min: grouped size)) select: [:each | (each value sumNumbers: metric) > 0].
	builder pointName: [ :each | each key ].
	builder points: grouped.
	builder bottomValue: [ :each | each key size ] titled: 'Locations'.
	builder topValue: [ :each | each value sumNumbers: metric ] titled: 'Tallies'! !

!RTSpectrographExample class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/6/2015 20:32'!
gtExamplesSource
	^ RTSpectrograph! !

!RTBoxPlotDataSet class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/6/2015 20:14'!
gtExamplesProvider

	^ RTBoxPlotExample new! !

!RTMapExample class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/6/2015 20:35'!
gtExamplesSource
	^ RTMapBuilder! !

!RTSunburstBuilderExamples class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/6/2015 20:33'!
gtExamplesSource
	^ RTSunburstBuilder! !

!RTSBFadeInteractionExamples class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/7/2015 21:17'!
gtExamplesSource
	^ RTSBFadeInteraction! !

!CPDiverging class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/6/2015 17:14'!
gtExampleColorPalette
	<gtExample>
	<label: 'Colors: diverging scheme'>
	
	^ self new! !

!CPDiverging methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'TudorGirba 4/25/2014 15:16'!
gtInspectorPreviewIn: composite
	<gtInspectorPresentationOrder: 40>
	composite roassal2
		title: 'View';
		painting: [ :view | self viewOn: view ]! !

!RTGradientColoredLine class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/6/2015 20:13'!
gtExamplesProvider

	^ RTGradientColoredLineExample new! !

!RTAbstractExample class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/6/2015 19:11'!
gtExamplesProvider
	^ self new! !

!RTAbstractExample class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'AndreiChis 10/4/2015 21:01'!
gtInspectorGTExamplesIn: composite
	
	^ self new gtInspectorPreviewIn: composite! !

!RTAbstractExample methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'AndreiChis 10/30/2014 14:40'!
gtDisplayExamplesIn: aComposite

	^ (self gtInspectorPreviewIn: aComposite)
		title: 'E.g'! !

!RTAbstractExample methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/9/2015 09:10'!
gtInspectorPreviewIn: composite
	<gtInspectorPresentationOrder: 4>
	^ composite roassal2
		title: 'Examples';
		when: [ self gtExamples notEmpty ];
		send: [ :example | example ];
		painting: [ :view | 
			view @ RTDraggableView.
			self gtOpenOn: view ]! !

!RTAbstractExample methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/9/2015 09:02'!
gtOpenOn: v
	|  icon64Mime form element  |

	self gtExamples do: [ :anExample |
		icon64Mime := self perform: (anExample method selector, #Icon) asSymbol.
		form := TRPlatform current formClass fromBinaryStream: 
							(TRPlatform current mimeDecodeToBytes: icon64Mime readStream).
		element := (RTBitmap new form: form) elementOn: anExample.
		element @ (RTPopup new text: anExample method selector asString).
		element @ (RTEventForwarder new eventClass: TRMouseDragging). 
		v add: element ].

	RTGridLayout new on: v elements.
	! !

!CPSequential class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/6/2015 17:14'!
gtExampleColorPalette
	<gtExample>
	<label: 'Colors: sequential scheme'>
	
	^ self new! !

!CPSequential methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'TudorGirba 4/25/2014 15:16'!
gtInspectorPreviewIn: composite
	<gtInspectorPresentationOrder: 40>
	composite roassal2
		title: 'View';
		painting: [ :view | self viewOn: view ]! !

!RTComposer class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/6/2015 20:13'!
gtExamplesProvider

	^ RTComposerExample new! !

!RTTreeMapBuilder class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/6/2015 20:13'!
gtExamplesProvider
	
	^ RTTreeMapExample new! !

!GLMBrowser methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'TudorGirba 10/24/2014 06:52'!
gtInspectorOpenTreeIn: composite
	<gtInspectorPresentationOrder: 30>  
	^ composite roassal2
		title: 'Tree';
		painting: [:view :b | 
			self viewTreeOn: view ]! !

GTExampleFinder subclass: #RTExampleFinder
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-InspectorExtensions-CoreRoassal'!

!RTExampleFinder class methodsFor: 'examples' stamp: 'StefanReichhart 9/9/2015 23:25'!
gtExampleInstance
	<gtExample>
	<label: 'An example finder on the source #RTExploraBuilder and provider #RTExploraBuilderExample'>
	
	^ self new
		source: RTExploraBuilder;
		provider: RTExploraBuilderExample new;
		subjects: #();
		yourself! !

!RTExampleFinder methodsFor: 'private' stamp: 'StefanReichhart 9/9/2015 19:05'!
class: aClass selector: aSelector method: aMethod to: examples
	(aSelector beginsWith: 'example') ifFalse: [ ^ self ].
	(aSelector endsWith: 'Icon') ifTrue: [ ^ self ].
	
	self example: (self class: aClass selector: aSelector method: aMethod pragma: (self newImpostorPragma: aMethod)) to: examples! !

!RTExampleFinder methodsFor: 'private' stamp: 'StefanReichhart 9/6/2015 19:50'!
newExample
	^ RTExampleSelection new! !

!RTComposedShapeExample class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/6/2015 20:37'!
gtExamplesSource
	^ RTCompositeShape! !

!RTAxisAdaptedBuilderExample class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/6/2015 20:38'!
gtExamplesSource
	^ RTAxisAdaptedBuilder! !

!RTExploraBuilderExample class methodsFor: '*GT-InspectorExtensions-CoreRoassal' stamp: 'StefanReichhart 9/6/2015 20:37'!
gtExamplesSource
	^ RTExploraBuilder! !
